Subject: bug#52263: Stale comment in xsd-regexp.el about Emacs not supporting Unicode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Dec 2021 18:16:38 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 4 Dec 2021 14:07:46 +0100
> Cc: [email-masked]
> 
> >> Is that correct?
> >
> > Probably.  The mule-Unicode-* stuff is definitely obsolete.  The only
> > thing that bothers me is what happens with eight-bit characters in the
> > XSD regexps -- are they allowed?  Emacs in general does allow them.
> > If xsd-regexp.el doesn't, that should be stated there.
> 
> Hmm, so probably more work is needed here than just removing the above
> comment.  There is a lot of non-trivial mule and conversion stuff going
> on in that library that might need a proper look by someone that knows
> this stuff well.

Mainly that file needs simplification: we in effect have a single
range of characters, with the possible exception of the codepoints
between 128 and 160.  Also, decode-char is now a no-op when the 1st
arg is 'ucs'.

I can offer help in those parts where you don't feel you understand
the issue well enough to make the simplifications.